Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/FLO/flo4rk.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/FLO/flo4rk.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/FLO/flo4rk.F90	(revision 7910)
@@ -15,5 +15,4 @@
    USE dom_oce         ! ocean space and time domain
    USE in_out_manager  ! I/O manager
-   USE wrk_nemo        ! working array
 
    IMPLICIT NONE
@@ -53,10 +52,8 @@
       INTEGER ::  ierror              ! error value
 
-      REAL(wp), POINTER, DIMENSION(:)   ::   zgifl , zgjfl , zgkfl    ! index RK  positions
-      REAL(wp), POINTER, DIMENSION(:)   ::   zufl  , zvfl  , zwfl     ! interpolated velocity at the float position 
-      REAL(wp), POINTER, DIMENSION(:,:) ::   zrkxfl, zrkyfl, zrkzfl   ! RK coefficients
+      REAL(wp), DIMENSION(jpnfl)   ::   zgifl , zgjfl , zgkfl    ! index RK  positions
+      REAL(wp), DIMENSION(jpnfl)   ::   zufl  , zvfl  , zwfl     ! interpolated velocity at the float position 
+      REAL(wp), DIMENSION(jpnfl,4) ::   zrkxfl, zrkyfl, zrkzfl   ! RK coefficients
       !!---------------------------------------------------------------------
-      CALL wrk_alloc( jpnfl,    zgifl , zgjfl , zgkfl  , zufl, zvfl, zwfl)
-      CALL wrk_alloc( jpnfl, 4, zrkxfl, zrkyfl, zrkzfl )
       !
       IF( ierror /= 0 ) THEN
@@ -154,6 +151,4 @@
       END DO
       !
-      CALL wrk_dealloc( jpnfl,    zgifl , zgjfl , zgkfl  , zufl, zvfl, zwfl)
-      CALL wrk_dealloc( jpnfl, 4, zrkxfl, zrkyfl, zrkzfl )
       !
    END SUBROUTINE flo_4rk
@@ -178,19 +173,15 @@
       INTEGER  ::   jfl, jind1, jind2, jind3   ! dummy loop indices
       REAL(wp) ::   zsumu, zsumv, zsumw        ! local scalar
-      INTEGER  , POINTER, DIMENSION(:)       ::   iilu, ijlu, iklu   ! nearest neighbour INDEX-u
-      INTEGER  , POINTER, DIMENSION(:)       ::   iilv, ijlv, iklv   ! nearest neighbour INDEX-v
-      INTEGER  , POINTER, DIMENSION(:)       ::   iilw, ijlw, iklw   ! nearest neighbour INDEX-w
-      INTEGER  , POINTER, DIMENSION(:,:)     ::   iidu, ijdu, ikdu   ! 64 nearest neighbour INDEX-u
-      INTEGER  , POINTER, DIMENSION(:,:)     ::   iidv, ijdv, ikdv   ! 64 nearest neighbour INDEX-v
-      INTEGER  , POINTER, DIMENSION(:,:)     ::   iidw, ijdw, ikdw   ! 64 nearest neighbour INDEX-w
-      REAL(wp) , POINTER, DIMENSION(:,:)     ::   zlagxu, zlagyu, zlagzu   ! Lagrange  coefficients
-      REAL(wp) , POINTER, DIMENSION(:,:)     ::   zlagxv, zlagyv, zlagzv   !    -           -
-      REAL(wp) , POINTER, DIMENSION(:,:)     ::   zlagxw, zlagyw, zlagzw   !    -           -
-      REAL(wp) , POINTER, DIMENSION(:,:,:,:) ::   ztufl , ztvfl , ztwfl   ! velocity at choosen time step
+      INTEGER  , DIMENSION(jpnfl)       ::   iilu, ijlu, iklu   ! nearest neighbour INDEX-u
+      INTEGER  , DIMENSION(jpnfl)       ::   iilv, ijlv, iklv   ! nearest neighbour INDEX-v
+      INTEGER  , DIMENSION(jpnfl)       ::   iilw, ijlw, iklw   ! nearest neighbour INDEX-w
+      INTEGER  , DIMENSION(jpnfl,4)     ::   iidu, ijdu, ikdu   ! 64 nearest neighbour INDEX-u
+      INTEGER  , DIMENSION(jpnfl,4)     ::   iidv, ijdv, ikdv   ! 64 nearest neighbour INDEX-v
+      INTEGER  , DIMENSION(jpnfl,4)     ::   iidw, ijdw, ikdw   ! 64 nearest neighbour INDEX-w
+      REAL(wp) , DIMENSION(jpnfl,4)     ::   zlagxu, zlagyu, zlagzu   ! Lagrange  coefficients
+      REAL(wp) , DIMENSION(jpnfl,4)     ::   zlagxv, zlagyv, zlagzv   !    -           -
+      REAL(wp) , DIMENSION(jpnfl,4)     ::   zlagxw, zlagyw, zlagzw   !    -           -
+      REAL(wp) , DIMENSION(jpnfl,4,4,4) ::   ztufl , ztvfl , ztwfl   ! velocity at choosen time step
       !!---------------------------------------------------------------------
-      CALL wrk_alloc( jpnfl,    iilu, ijlu, iklu, iilv, ijlv, iklv, iilw, ijlw, iklw )
-      CALL wrk_alloc( jpnfl, 4, iidu, ijdu, ikdu, iidv, ijdv, ikdv, iidw, ijdw, ikdw )
-      CALL wrk_alloc( jpnfl, 4, zlagxu, zlagyu, zlagzu, zlagxv, zlagyv, zlagzv, zlagxw, zlagyw, zlagzw )
-      CALL wrk_alloc( jpnfl, 4, 4, 4, ztufl , ztvfl , ztwfl )
  
       ! Interpolation of U velocity
@@ -451,8 +442,4 @@
       END DO
       !   
-      CALL wrk_dealloc( jpnfl,    iilu, ijlu, iklu, iilv, ijlv, iklv, iilw, ijlw, iklw )
-      CALL wrk_dealloc( jpnfl, 4, iidu, ijdu, ikdu, iidv, ijdv, ikdv, iidw, ijdw, ikdw )
-      CALL wrk_dealloc( jpnfl, 4, zlagxu, zlagyu, zlagzu, zlagxv, zlagyv, zlagzv, zlagxw, zlagyw, zlagzw )
-      CALL wrk_dealloc( jpnfl, 4, 4, 4, ztufl , ztvfl , ztwfl )
       !   
    END SUBROUTINE flo_interp
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/FLO/floblk.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/FLO/floblk.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/FLO/floblk.F90	(revision 7910)
@@ -16,5 +16,4 @@
    USE in_out_manager  ! I/O manager
    USE lib_mpp         ! distribued memory computing library
-   USE wrk_nemo        ! working array
 
    IMPLICIT NONE
@@ -54,25 +53,21 @@
       REAL(wp), DIMENSION ( 2 )  ::   zsurfx, zsurfy   ! surface of the face of the mesh
 
-      INTEGER  , POINTER, DIMENSION ( : )  ::   iil, ijl, ikl                   ! index of nearest mesh
-      INTEGER  , POINTER, DIMENSION ( : )  ::   iiloc , ijloc              
-      INTEGER  , POINTER, DIMENSION ( : )  ::   iiinfl, ijinfl, ikinfl          ! index of input mesh of the float.
-      INTEGER  , POINTER, DIMENSION ( : )  ::   iioutfl, ijoutfl, ikoutfl       ! index of output mesh of the float.
-      REAL(wp) , POINTER, DIMENSION ( : )  ::   zgifl, zgjfl, zgkfl             ! position of floats, index on 
+      INTEGER  , DIMENSION (jpnfl)  ::   iil, ijl, ikl                   ! index of nearest mesh
+      INTEGER  , DIMENSION (jpnfl)  ::   iiloc , ijloc              
+      INTEGER  , DIMENSION (jpnfl)  ::   iiinfl, ijinfl, ikinfl          ! index of input mesh of the float.
+      INTEGER  , DIMENSION (jpnfl)  ::   iioutfl, ijoutfl, ikoutfl       ! index of output mesh of the float.
+      REAL(wp) , DIMENSION (jpnfl)  ::   zgifl, zgjfl, zgkfl             ! position of floats, index on 
       !                                                                         ! velocity mesh.
-      REAL(wp) , POINTER, DIMENSION ( : )  ::    ztxfl, ztyfl, ztzfl            ! time for a float to quit the mesh
+      REAL(wp) , DIMENSION (jpnfl)  ::    ztxfl, ztyfl, ztzfl            ! time for a float to quit the mesh
       !                                                                         ! across one of the face x,y and z 
-      REAL(wp) , POINTER, DIMENSION ( : )  ::    zttfl                          ! time for a float to quit the mesh 
-      REAL(wp) , POINTER, DIMENSION ( : )  ::    zagefl                         ! time during which, trajectorie of 
+      REAL(wp) , DIMENSION (jpnfl)  ::    zttfl                          ! time for a float to quit the mesh 
+      REAL(wp) , DIMENSION (jpnfl)  ::    zagefl                         ! time during which, trajectorie of 
       !                                                                         ! the float has been computed
-      REAL(wp) , POINTER, DIMENSION ( : )  ::   zagenewfl                       ! new age of float after calculation 
+      REAL(wp) , DIMENSION (jpnfl)  ::   zagenewfl                       ! new age of float after calculation 
       !                                                                         ! of new position
-      REAL(wp) , POINTER, DIMENSION ( : )  ::   zufl, zvfl, zwfl                ! interpolated vel. at float position
-      REAL(wp) , POINTER, DIMENSION ( : )  ::   zudfl, zvdfl, zwdfl             ! velocity diff input/output of mesh
-      REAL(wp) , POINTER, DIMENSION ( : )  ::   zgidfl, zgjdfl, zgkdfl          ! direction index of float
+      REAL(wp) , DIMENSION (jpnfl)  ::   zufl, zvfl, zwfl                ! interpolated vel. at float position
+      REAL(wp) , DIMENSION (jpnfl)  ::   zudfl, zvdfl, zwdfl             ! velocity diff input/output of mesh
+      REAL(wp) , DIMENSION (jpnfl)  ::   zgidfl, zgjdfl, zgkdfl          ! direction index of float
       !!---------------------------------------------------------------------
-      CALL wrk_alloc( jpnfl , iil   , ijl   , ikl   , iiloc  ,  ijloc           )
-      CALL wrk_alloc( jpnfl , iiinfl, ijinfl, ikinfl, iioutfl, ijoutfl, ikoutfl )
-      CALL wrk_alloc( jpnfl , zgifl , zgjfl , zgkfl , ztxfl  , ztyfl  , ztzfl   , zttfl , zagefl, zagenewfl) 
-      CALL wrk_alloc( jpnfl , zufl  , zvfl  , zwfl  , zudfl  , zvdfl  , zwdfl   , zgidfl, zgjdfl, zgkdfl   )
 
       IF( kt == nit000 ) THEN
@@ -371,8 +366,4 @@
       ENDIF
       !
-      CALL wrk_dealloc( jpnfl , iil   , ijl   , ikl   , iiloc  ,  ijloc           )
-      CALL wrk_dealloc( jpnfl , iiinfl, ijinfl, ikinfl, iioutfl, ijoutfl, ikoutfl )
-      CALL wrk_dealloc( jpnfl , zgifl , zgjfl , zgkfl , ztxfl  , ztyfl  , ztzfl   , zttfl , zagefl, zagenewfl) 
-      CALL wrk_dealloc( jpnfl , zufl  , zvfl  , zwfl  , zudfl  , zvdfl  , zwdfl   , zgidfl, zgjdfl, zgkdfl   )
       !
    END SUBROUTINE flo_blk
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/IOM/prtctl.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/IOM/prtctl.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/IOM/prtctl.F90	(revision 7910)
@@ -13,5 +13,4 @@
    USE in_out_manager   ! I/O manager
    USE lib_mpp          ! distributed memory computing
-   USE wrk_nemo         ! work arrays
 
    IMPLICIT NONE
@@ -94,10 +93,8 @@
       INTEGER ::   overlap, jn, sind, eind, kdir,j_id
       REAL(wp) :: zsum1, zsum2, zvctl1, zvctl2
-      REAL(wp), POINTER, DIMENSION(:,:)   :: ztab2d_1, ztab2d_2
-      REAL(wp), POINTER, DIMENSION(:,:,:) :: zmask1, zmask2, ztab3d_1, ztab3d_2
-      !!----------------------------------------------------------------------
-
-      CALL wrk_alloc( jpi,jpj, ztab2d_1, ztab2d_2 )
-      CALL wrk_alloc( jpi,jpj,jpk, zmask1, zmask2, ztab3d_1, ztab3d_2 )
+      REAL(wp), DIMENSION(jpi,jpj)   :: ztab2d_1, ztab2d_2
+      REAL(wp), DIMENSION(jpi,jpj,jpk) :: zmask1, zmask2, ztab3d_1, ztab3d_2
+      !!----------------------------------------------------------------------
+
 
       ! Arrays, scalars initialization 
@@ -208,6 +205,4 @@
       ENDDO
 
-      CALL wrk_dealloc( jpi,jpj, ztab2d_1, ztab2d_2 )
-      CALL wrk_dealloc( jpi,jpj,jpk, zmask1, zmask2, ztab3d_1, ztab3d_2 )
       !
    END SUBROUTINE prt_ctl
@@ -425,10 +420,9 @@
          nrecil, nrecjl, nldil, nleil, nldjl, nlejl
 
-      INTEGER, POINTER, DIMENSION(:,:) ::   iimpptl, ijmpptl, ilcitl, ilcjtl   ! workspace
+      INTEGER, DIMENSION(isplt,jsplt) ::   iimpptl, ijmpptl, ilcitl, ilcjtl   ! workspace
       REAL(wp) ::   zidom, zjdom            ! temporary scalars
       !!----------------------------------------------------------------------
 
       !
-      CALL wrk_alloc( isplt, jsplt, ilcitl, ilcjtl, iimpptl, ijmpptl )
       !
       !  1. Dimension arrays for subdomains
@@ -578,5 +572,4 @@
       !
       !
-      CALL wrk_dealloc( isplt, jsplt, ilcitl, ilcjtl, iimpptl, ijmpptl )
       !
       !
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/LBC/lib_mpp.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/LBC/lib_mpp.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/LBC/lib_mpp.F90	(revision 7910)
@@ -63,5 +63,4 @@
    USE lbcnfd         ! north fold treatment
    USE in_out_manager ! I/O manager
-   USE wrk_nemo       ! work arrays
 
    IMPLICIT NONE
@@ -2069,8 +2068,7 @@
       !!
       INTEGER  ::   ierror, localcomm
-      REAL(wp) , POINTER , DIMENSION(:) ::   zwork
-      !!----------------------------------------------------------------------
-      !
-      CALL wrk_alloc(NUM , zwork)
+      REAL(wp) , DIMENSION(NUM) ::   zwork
+      !!----------------------------------------------------------------------
+      !
       localcomm = mpi_comm_opa
       IF( PRESENT(kcom) )   localcomm = kcom
@@ -2078,5 +2076,4 @@
       CALL mpi_allreduce( ptab, zwork, NUM, mpi_double_precision, mpi_max, localcomm, ierror )
       ptab = zwork
-      CALL wrk_dealloc(NUM , zwork)
       !
    END SUBROUTINE mppmax_real_multiple
@@ -2466,5 +2463,4 @@
       !
       ! Since this is just an init routine and these arrays are of length jpnij
-      ! then don't use wrk_nemo module - just allocate and deallocate.
       ALLOCATE( kice(jpnij), zwork(jpnij), STAT=ierr )
       IF( ierr /= 0 ) THEN
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/LDF/ldfslp.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/LDF/ldfslp.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/LDF/ldfslp.F90	(revision 7910)
@@ -32,5 +32,4 @@
    USE lib_mpp        ! distribued memory computing library
    USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)
-   USE wrk_nemo       ! work arrays
    USE timing         ! Timing
 
@@ -118,14 +117,12 @@
       REAL(wp) ::   zck, zfk,      zbw             !   -      -
       REAL(wp) ::   zdepu, zdepv                   !   -      -
-      REAL(wp), POINTER, DIMENSION(:,:  ) ::  zslpml_hmlpu, zslpml_hmlpv
-      REAL(wp), POINTER, DIMENSION(:,:,:) ::  zwz, zww
-      REAL(wp), POINTER, DIMENSION(:,:,:) ::  zdzr
-      REAL(wp), POINTER, DIMENSION(:,:,:) ::  zgru, zgrv
+      REAL(wp), DIMENSION(jpi,jpj) ::  zslpml_hmlpu, zslpml_hmlpv
+      REAL(wp), DIMENSION(jpi,jpj,jpk) ::  zwz, zww
+      REAL(wp), DIMENSION(jpi,jpj,jpk) ::  zdzr
+      REAL(wp), DIMENSION(jpi,jpj,jpk) ::  zgru, zgrv
       !!----------------------------------------------------------------------
       !
       IF( nn_timing == 1 )  CALL timing_start('ldf_slp')
       !
-      CALL wrk_alloc( jpi,jpj,jpk, zwz, zww, zdzr, zgru, zgrv )
-      CALL wrk_alloc( jpi,jpj, zslpml_hmlpu, zslpml_hmlpv )
 
       zeps   =  1.e-20_wp        !==   Local constant initialization   ==!
@@ -375,6 +372,4 @@
       ENDIF
       !
-      CALL wrk_dealloc( jpi,jpj,jpk, zwz, zww, zdzr, zgru, zgrv )
-      CALL wrk_dealloc( jpi,jpj, zslpml_hmlpu, zslpml_hmlpv )
       !
       IF( nn_timing == 1 )  CALL timing_stop('ldf_slp')
@@ -409,16 +404,12 @@
       REAL(wp) ::   zdzrho_raw
       REAL(wp) ::   zbeta0, ze3_e1, ze3_e2
-      REAL(wp), POINTER, DIMENSION(:,:)     ::   z1_mlbw
-      REAL(wp), POINTER, DIMENSION(:,:,:)   ::   zalbet
-      REAL(wp), POINTER, DIMENSION(:,:,:,:) ::   zdxrho , zdyrho, zdzrho     ! Horizontal and vertical density gradients
-      REAL(wp), POINTER, DIMENSION(:,:,:,:) ::   zti_mlb, ztj_mlb            ! for Griffies operator only
+      REAL(wp), DIMENSION(jpi,jpj)     ::   z1_mlbw
+      REAL(wp), DIMENSION(jpi,jpj,jpk)   ::   zalbet
+      REAL(wp), DIMENSION(jpi,jpj,jpk,0:1) ::   zdxrho , zdyrho, zdzrho     ! Horizontal and vertical density gradients
+      REAL(wp), DIMENSION(jpi,jpj,0:1,0:1) ::   zti_mlb, ztj_mlb            ! for Griffies operator only
       !!----------------------------------------------------------------------
       !
       IF( nn_timing == 1 )  CALL timing_start('ldf_slp_triad')
       !
-      CALL wrk_alloc( jpi,jpj, z1_mlbw )
-      CALL wrk_alloc( jpi,jpj,jpk, zalbet )
-      CALL wrk_alloc( jpi,jpj,jpk,2, zdxrho , zdyrho, zdzrho,              klstart = 0  )
-      CALL wrk_alloc( jpi,jpj,  2,2, zti_mlb, ztj_mlb,        kkstart = 0, klstart = 0  )
       !
       !--------------------------------!
@@ -624,8 +615,4 @@
       CALL lbc_lnk( wslp2, 'W', 1. )      ! lateral boundary confition on wslp2 only   ==>>> gm : necessary ? to be checked
       !
-      CALL wrk_dealloc( jpi,jpj, z1_mlbw )
-      CALL wrk_dealloc( jpi,jpj,jpk, zalbet )
-      CALL wrk_dealloc( jpi,jpj,jpk,2, zdxrho , zdyrho, zdzrho,              klstart = 0  )
-      CALL wrk_dealloc( jpi,jpj,  2,2, zti_mlb, ztj_mlb,        kkstart = 0, klstart = 0  )
       !
       IF( nn_timing == 1 )  CALL timing_stop('ldf_slp_triad')
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 7910)
@@ -30,5 +30,4 @@
    USE lib_mpp         ! distribued memory computing library
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
-   USE wrk_nemo        ! work arrays
    USE timing          ! timing
 
@@ -491,10 +490,9 @@
       INTEGER  ::   ji, jj, jk    ! dummy loop indices
       REAL(wp) ::   zfw, ze3w, zn2, z1_f20, zaht, zaht_min, zzaei   ! local scalars
-      REAL(wp), DIMENSION(:,:), POINTER ::   zn, zah, zhw, zross, zaeiw   ! 2D workspace
+      REAL(wp), DIMENSION(jpi,jpj) ::   zn, zah, zhw, zross, zaeiw   ! 2D workspace
       !!----------------------------------------------------------------------
       !
       IF( nn_timing == 1 )   CALL timing_start('ldf_eiv')
       !
-      CALL wrk_alloc( jpi,jpj,   zn, zah, zhw, zross, zaeiw )
       !      
       zn   (:,:) = 0._wp      ! Local initialization
@@ -575,5 +573,4 @@
       END DO
       !  
-      CALL wrk_dealloc( jpi,jpj,   zn, zah, zhw, zross, zaeiw )
       !
       IF( nn_timing == 1 )   CALL timing_stop('ldf_eiv')
@@ -610,10 +607,9 @@
       REAL(wp) ::   zuwk, zuwk1, zuwi, zuwi1   ! local scalars
       REAL(wp) ::   zvwk, zvwk1, zvwj, zvwj1   !   -      -
-      REAL(wp), POINTER, DIMENSION(:,:,:) ::   zpsi_uw, zpsi_vw
+      REAL(wp), DIMENSION(jpi,jpj,jpk) ::   zpsi_uw, zpsi_vw
       !!----------------------------------------------------------------------
       !
       IF( nn_timing == 1 )   CALL timing_start( 'ldf_eiv_trp')
       !
-      CALL wrk_alloc( jpi,jpj,jpk,   zpsi_uw, zpsi_vw )
 
       IF( kt == kit000 )  THEN
@@ -658,5 +654,4 @@
       IF( ln_ldfeiv_dia .AND. cdtype == 'TRA' )   CALL ldf_eiv_dia( zpsi_uw, zpsi_vw )
       !
-      CALL wrk_dealloc( jpi,jpj,jpk,   zpsi_uw, zpsi_vw )
       !
       IF( nn_timing == 1 )   CALL timing_stop( 'ldf_eiv_trp')
@@ -679,6 +674,6 @@
       INTEGER  ::   ji, jj, jk    ! dummy loop indices
       REAL(wp) ::   zztmp   ! local scalar
-      REAL(wp), DIMENSION(:,:)  , POINTER ::   zw2d   ! 2D workspace
-      REAL(wp), DIMENSION(:,:,:), POINTER ::   zw3d   ! 3D workspace
+      REAL(wp), DIMENSION(jpi,jpj)   ::   zw2d   ! 2D workspace
+      REAL(wp), DIMENSION(jpi,jpj,jpk) ::   zw3d   ! 3D workspace
       !!----------------------------------------------------------------------
       !
@@ -693,5 +688,4 @@
       !
       !                                                  !==  eiv velocities: calculate and output  ==!
-      CALL wrk_alloc( jpi,jpj,jpk,   zw3d )
       !
       zw3d(:,:,jpk) = 0._wp                                    ! bottom value always 0
@@ -720,5 +714,4 @@
       !      
       !
-      CALL wrk_alloc( jpi,jpj,   zw2d )
       !
       zztmp = 0.5_wp * rau0 * rcp 
@@ -792,6 +785,4 @@
       IF( ln_diaptr ) CALL dia_ptr_hst( jp_sal, 'eiv', 0.5 * zw3d )
       !
-      CALL wrk_dealloc( jpi,jpj,   zw2d )
-      CALL wrk_dealloc( jpi,jpj,jpk,   zw3d )
       !
       IF( nn_timing == 1 )  CALL timing_stop( 'ldf_eiv_dia')      
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90	(revision 7910)
@@ -15,5 +15,4 @@
    !!----------------------------------------------------------------------
    !! * Modules used
-   USE wrk_nemo                 ! Memory Allocation
    USE par_kind                 ! Precision variables
    USE in_out_manager           ! I/O manager
@@ -144,13 +143,10 @@
       REAL(dp) :: rn_dobsini     ! Obs window start date YYYYMMDD.HHMMSS
       REAL(dp) :: rn_dobsend     ! Obs window end date   YYYYMMDD.HHMMSS
-      REAL(wp), POINTER, DIMENSION(:,:) :: &
-         & zglam1, &             ! Model longitudes for profile variable 1
-         & zglam2                ! Model longitudes for profile variable 2
-      REAL(wp), POINTER, DIMENSION(:,:) :: &
-         & zgphi1, &             ! Model latitudes for profile variable 1
-         & zgphi2                ! Model latitudes for profile variable 2
-      REAL(wp), POINTER, DIMENSION(:,:,:) :: &
-         & zmask1, &             ! Model land/sea mask associated with variable 1
-         & zmask2                ! Model land/sea mask associated with variable 2
+      REAL(wp), DIMENSION(jpi,jpj) ::  zglam1   ! Model longitudes for profile variable 1
+      REAL(wp), DIMENSION(jpi,jpj) ::  zglam2   ! Model longitudes for profile variable 2
+      REAL(wp), DIMENSION(jpi,jpj) ::  zgphi1   ! Model latitudes for profile variable 1
+      REAL(wp), DIMENSION(jpi,jpj) ::  zgphi2   ! Model latitudes for profile variable 2
+      REAL(wp), DIMENSION(jpi,jpj,jpk) :: zmask1  ! Model land/sea mask associated with variable 1
+      REAL(wp), DIMENSION(jpi,jpj,jpk) :: zmask2  ! Model land/sea mask associated with variable 2
 
       NAMELIST/namobs/ln_diaobs, ln_t3d, ln_s3d, ln_sla,              &
@@ -168,10 +164,4 @@
 
       INTEGER :: jnumsstbias
-      CALL wrk_alloc( jpi, jpj, zglam1 )
-      CALL wrk_alloc( jpi, jpj, zglam2 )
-      CALL wrk_alloc( jpi, jpj, zgphi1 )
-      CALL wrk_alloc( jpi, jpj, zgphi2 )
-      CALL wrk_alloc( jpi, jpj, jpk, zmask1 )
-      CALL wrk_alloc( jpi, jpj, jpk, zmask2 )
 
       !-----------------------------------------------------------------------
@@ -492,10 +482,4 @@
       ENDIF
 
-      CALL wrk_dealloc( jpi, jpj, zglam1 )
-      CALL wrk_dealloc( jpi, jpj, zglam2 )
-      CALL wrk_dealloc( jpi, jpj, zgphi1 )
-      CALL wrk_dealloc( jpi, jpj, zgphi2 )
-      CALL wrk_dealloc( jpi, jpj, jpk, zmask1 )
-      CALL wrk_dealloc( jpi, jpj, jpk, zmask2 )
 
    END SUBROUTINE dia_obs_init
@@ -554,34 +538,20 @@
       INTEGER :: jvar              ! Variable number
       INTEGER :: ji, jj            ! Loop counters
-      REAL(wp), POINTER, DIMENSION(:,:,:) :: &
-         & zprofvar1, &            ! Model values for 1st variable in a prof ob
-         & zprofvar2               ! Model values for 2nd variable in a prof ob
-      REAL(wp), POINTER, DIMENSION(:,:,:) :: &
-         & zprofmask1, &           ! Mask associated with zprofvar1
-         & zprofmask2              ! Mask associated with zprofvar2
-      REAL(wp), POINTER, DIMENSION(:,:) :: &
-         & zsurfvar                ! Model values equivalent to surface ob.
-      REAL(wp), POINTER, DIMENSION(:,:) :: &
-         & zglam1,    &            ! Model longitudes for prof variable 1
-         & zglam2,    &            ! Model longitudes for prof variable 2
-         & zgphi1,    &            ! Model latitudes for prof variable 1
-         & zgphi2                  ! Model latitudes for prof variable 2
-#if ! defined key_lim2 && ! defined key_lim3
-      REAL(wp), POINTER, DIMENSION(:,:) :: frld
+      REAL(wp), DIMENSION(jpi,jpj,jpk) :: zprofvar1     ! Model values for 1st variable in a prof ob
+      REAL(wp), DIMENSION(jpi,jpj,jpk) :: zprofvar2     ! Model values for 2nd variable in a prof ob
+      REAL(wp), DIMENSION(jpi,jpj,jpk) :: zprofmask1    ! Mask associated with zprofvar1
+      REAL(wp), DIMENSION(jpi,jpj,jpk) :: zprofmask2    ! Mask associated with zprofvar2
+      REAL(wp), DIMENSION(jpi,jpj) ::   zsurfvar      ! Model values equivalent to surface ob.
+      REAL(wp), DIMENSION(jpi,jpj) ::   zglam1        ! Model longitudes for prof variable 1
+      REAL(wp), DIMENSION(jpi,jpj) ::   zglam2        ! Model longitudes for prof variable 2
+      REAL(wp), DIMENSION(jpi,jpj) ::   zgphi1        ! Model latitudes for prof variable 1
+      REAL(wp), DIMENSION(jpi,jpj) ::   zgphi2        ! Model latitudes for prof variable 2
+#if ! defined key_lim2  ! defined key_lim3
+      REAL(wp), DIMENSION(jpi,jpj) :: frld
 #endif
       LOGICAL :: llnightav        ! Logical for calculating night-time average
 
       !Allocate local work arrays
-      CALL wrk_alloc( jpi, jpj, jpk, zprofvar1 )
-      CALL wrk_alloc( jpi, jpj, jpk, zprofvar2 )
-      CALL wrk_alloc( jpi, jpj, jpk, zprofmask1 )
-      CALL wrk_alloc( jpi, jpj, jpk, zprofmask2 )
-      CALL wrk_alloc( jpi, jpj, zsurfvar )
-      CALL wrk_alloc( jpi, jpj, zglam1 )
-      CALL wrk_alloc( jpi, jpj, zglam2 )
-      CALL wrk_alloc( jpi, jpj, zgphi1 )
-      CALL wrk_alloc( jpi, jpj, zgphi2 )
 #if ! defined key_lim2 && ! defined key_lim3
-      CALL wrk_alloc(jpi,jpj,frld) 
 #endif
 
@@ -693,15 +663,5 @@
       ENDIF
 
-      CALL wrk_dealloc( jpi, jpj, jpk, zprofvar1 )
-      CALL wrk_dealloc( jpi, jpj, jpk, zprofvar2 )
-      CALL wrk_dealloc( jpi, jpj, jpk, zprofmask1 )
-      CALL wrk_dealloc( jpi, jpj, jpk, zprofmask2 )
-      CALL wrk_dealloc( jpi, jpj, zsurfvar )
-      CALL wrk_dealloc( jpi, jpj, zglam1 )
-      CALL wrk_dealloc( jpi, jpj, zglam2 )
-      CALL wrk_dealloc( jpi, jpj, zgphi1 )
-      CALL wrk_dealloc( jpi, jpj, zgphi2 )
 #if ! defined key_lim2 && ! defined key_lim3
-      CALL wrk_dealloc(jpi,jpj,frld)
 #endif
 
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/OBS/obs_inter_sup.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/OBS/obs_inter_sup.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/OBS/obs_inter_sup.F90	(revision 7910)
@@ -10,5 +10,4 @@
    !!---------------------------------------------------------------------
    !! * Modules used
-   USE wrk_nemo        ! Memory Allocation
    USE par_kind        ! Precision variables
    USE dom_oce         ! Domain variables
@@ -125,10 +124,9 @@
          & pgval            ! Stencil at each point
       !! * Local declarations
-      REAL(KIND=wp), POINTER, DIMENSION(:,:,:) ::   zval
+      REAL(KIND=wp), DIMENSION(jpi,jpj,1) ::   zval
       REAL(KIND=wp), DIMENSION(kptsi,kptsj,1,kobs) ::&
          & zgval 
 
       ! Check workspace array and set-up pointer
-      CALL wrk_alloc(jpi,jpj,1,zval) 
 
       ! Set up local "3D" buffer
@@ -154,5 +152,4 @@
 
       ! 'Release' workspace array back to pool
-      CALL wrk_dealloc(jpi,jpj,1,zval) 
 
    END SUBROUTINE obs_int_comm_2d
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/OBS/obs_read_altbias.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/OBS/obs_read_altbias.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/OBS/obs_read_altbias.F90	(revision 7910)
@@ -33,5 +33,4 @@
    USE obs_utils               ! Various observation tools
    USE obs_inter_sup
-   USE wrk_nemo                ! Memory Allocation
 
    IMPLICIT NONE
@@ -99,5 +98,5 @@
          & zglam, &
          & zgphi
-      REAL(wp), POINTER, DIMENSION(:,:) ::   z_altbias
+      REAL(wp), DIMENSION(jpi,jpj) ::   z_altbias
       REAL(wp) :: zlam
       REAL(wp) :: zphi
@@ -107,5 +106,4 @@
       INTEGER :: numaltbias
 
-      CALL wrk_alloc(jpi,jpj,z_altbias) 
 
       IF(lwp)WRITE(numout,*) 
@@ -201,5 +199,4 @@
          & )
          
-      CALL wrk_dealloc(jpi,jpj,z_altbias) 
 
    END SUBROUTINE obs_rea_altbias
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/OBS/obs_readmdt.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/OBS/obs_readmdt.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/OBS/obs_readmdt.F90	(revision 7910)
@@ -12,5 +12,4 @@
    !!   obs_offset_mdt : Remove the offset between the model MDT and the used one
    !!----------------------------------------------------------------------
-   USE wrk_nemo         ! Memory Allocation
    USE par_kind         ! Precision variables
    USE par_oce          ! Domain parameters
@@ -76,10 +75,9 @@
       INTEGER , DIMENSION(:,:,:), ALLOCATABLE ::   igrdi, igrdj
       !
-      REAL(wp), POINTER, DIMENSION(:,:) ::  z_mdt, mdtmask
+      REAL(wp), DIMENSION(jpi,jpj) ::  z_mdt, mdtmask
          
       REAL(wp) :: zlam, zphi, zfill, zinfill    ! local scalar
       !!----------------------------------------------------------------------
 
-      CALL wrk_alloc(jpi,jpj,z_mdt,mdtmask) 
 
       IF(lwp)WRITE(numout,*) 
@@ -167,5 +165,4 @@
          & )
 
-      CALL wrk_dealloc(jpi,jpj,z_mdt,mdtmask) 
       IF(lwp)WRITE(numout,*) ' ------------- '
       !
@@ -192,9 +189,8 @@
       INTEGER  :: ji, jj
       REAL(wp) :: zdxdy, zarea, zeta1, zeta2, zcorr_mdt, zcorr_bcketa, zcorr     ! local scalar
-      REAL(wp), POINTER, DIMENSION(:,:) :: zpromsk
+      REAL(wp), DIMENSION(jpi,jpj) :: zpromsk
       CHARACTER(LEN=14), PARAMETER ::   cpname = 'obs_offset_mdt'
       !!----------------------------------------------------------------------
 
-      CALL wrk_alloc( jpi,jpj, zpromsk )
 
       !  Initialize the local mask, for domain projection 
@@ -258,5 +254,4 @@
       IF ( nn_msshc == 2 ) WRITE(numout,*) '           User defined MSSH correction' 
 
-      CALL wrk_dealloc( jpi,jpj, zpromsk )
       !
    END SUBROUTINE obs_offset_mdt
Index: /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/OBS/obs_rot_vel.F90
===================================================================
--- /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/OBS/obs_rot_vel.F90	(revision 7909)
+++ /branches/2017/dev_r7881_no_wrk_alloc/NEMOGCM/NEMO/OPA_SRC/OBS/obs_rot_vel.F90	(revision 7910)
@@ -9,5 +9,4 @@
    !!----------------------------------------------------------------------
    !! * Modules used   
-   USE wrk_nemo                 ! Memory Allocation
    USE par_kind                 ! Precision variables
    USE par_oce                  ! Ocean parameters
@@ -83,5 +82,5 @@
       REAL(wp) :: zcos
       REAL(wp), DIMENSION(1) :: zobsmask
-      REAL(wp), POINTER, DIMENSION(:,:) :: zsingu,zcosgu,zsingv,zcosgv
+      REAL(wp), DIMENSION(jpi,jpj) :: zsingu,zcosgu,zsingv,zcosgv
       INTEGER, DIMENSION(:,:,:), ALLOCATABLE :: &
          & igrdiu, &
@@ -92,5 +91,4 @@
       INTEGER :: jk
 
-      CALL wrk_alloc(jpi,jpj,zsingu,zcosgu,zsingv,zcosgv) 
 
       !-----------------------------------------------------------------------
@@ -226,5 +224,4 @@
          & )
 
-      CALL wrk_dealloc(jpi,jpj,zsingu,zcosgu,zsingv,zcosgv) 
 
    END SUBROUTINE obs_rotvel
